Skip to main content
`Ctrl`+`K`

# DMGlobalToLocalBeginDefaultShell

Uses the GlobalToLocal `VecScatter` context set by the user to begin a global to local scatter

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMGlobalToLocalBeginDefaultShell(DM dm, Vec g, InsertMode mode, Vec l)

Collective

## Input Parameters

- dm - `DMSHELL`

- g - global vector

- mode - `InsertMode`

- l - local vector

## Note

This is not normally called directly by user code, generally user code calls `DMGlobalToLocalBegin()` and `DMGlobalToLocalEnd()`. If the user provides their own custom routines to `DMShellSetLocalToGlobal()` then those routines might have reason to call this function.

## See Also

`DM`, `DMSHELL`, `DMGlobalToLocalEndDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages